Name:          qtwebkit
Version:       5.6.0
Release:       1mamba
Summary:       A Qt based web browser engine
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://qt.io
Source:        http://download.qt.io/community_releases/5.6/%{version}/qtwebkit-opensource-src-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXext-devel
BuildRequires: libXrender-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libqt5-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwebp-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A Qt based web browser engine.

%package -n libQt5WebKit
Group:         System/Libraries
Summary:       Qt based web browser engine libraries
Provides:      libQt5WebKitWidgets

%description -n libQt5WebKit
A Qt based web browser engine.
This package contains shared libraries for %{name}.

%package -n libQt5WebKit-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libQt5WebKit = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libQt5WebKit-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n qtwebkit-opensource-src-%{version}
#-D -T

%build
#:<< _EOF
qmake-qt5
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot}

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libQt5WebKit -p /sbin/ldconfig
%postun -n libQt5WebKit -p /sbin/ldconfig

%files -n libQt5WebKit
%defattr(-,root,root)
%{_libdir}/libQt5WebKit.so.*
%{_libdir}/libQt5WebKitWidgets.so.*
%{_libdir}/qt5/libexec/QtWebPluginProcess
%{_libdir}/qt5/libexec/QtWebProcess
%dir %{_libdir}/qt5/qml/QtWebKit
%{_libdir}/qt5/qml/QtWebKit/*

%files -n libQt5WebKit-devel
%defattr(-,root,root)
%dir %{_includedir}/qt5/QtWebKit
%{_includedir}/qt5/QtWebKit/*
%dir %{_includedir}/qt5/QtWebKitWidgets
%{_includedir}/qt5/QtWebKitWidgets/*
%dir %{_libdir}/cmake/Qt5WebKit
%{_libdir}/cmake/Qt5WebKit/Qt5WebKit*.cmake
%{_libdir}/libQt5WebKit*.la
%{_libdir}/libQt5WebKit*.prl
%{_libdir}/libQt5WebKit*.so
%{_libdir}/pkgconfig/Qt5WebKit.pc
%{_libdir}/pkgconfig/Qt5WebKitWidgets.pc
%{_libdir}/qt5/mkspecs/modules/qt_lib_webkit*.pri
%dir %{_libdir}/cmake/Qt5WebKitWidgets
%{_libdir}/cmake/Qt5WebKitWidgets/Qt5WebKit*.cmake

%changelog
* Thu May 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
